
# Imports for all routes

from api.miscellaneous import *
from api.database import *
from api.routes.route import (
    api_route,
    api_function,
    api_add_route,
    ApiResponse,
    check_client_int,
    api_request_get_query_int,
    api_request_get_query_string,
    api_request_get_query_boolean,
    get_client_json,
    __register_routes_to_flask,
    api_register_non_stored_object
)
from api.authentication import api_moderator_route, is_moderator, get_user_id, _check_csrf_token
from api.session import api_session

from . import (
    authentication,
    courses,
    feedback,
    job,
    media_process,
    site,
    object_modifications,
    resources,
    user,
    miscellaneous,
)

__register_routes_to_flask()
