

DELETE FROM job;
DELETE FROM changelog_entry;

DELETE FROM announcement;
DELETE FROM featured;
DELETE FROM publish_medium;
DELETE FROM target_medium;
DELETE FROM source_medium;
DELETE FROM chapter;
DELETE FROM lecture;
DELETE FROM course_responsible;
DELETE FROM course;
DELETE FROM "user";
DELETE FROM media_process_template;


INSERT INTO "user" (id,handle,"name",last_login,enable_mail_notifications,notify_new_video,notify_edit,notify_chapter_suggested) VALUES
     (0,'gustav','Gustav Geier',NULL,true,true,false,true),
     (42,'gustav42','Gustav Geier',NULL,true,true,false,true),
     (43,'videoag','Video',NULL,true,true,false,true);
SELECT setval('user_id_seq', 1000);


INSERT INTO course (id,handle,full_name,short_name,semester,organizer,topic,description,show_chapters_on_course,authentication_information,listed,internal_comment,allow_download,allow_embed,media_process,disable_automatic_media_process_scheduler,deleted,visible,view_perm_type,view_perm_rwth_auth,view_perm_fsmpi_auth,view_perm_moodle_course_ids,view_perm_passwords) VALUES
     (2,'07ws-buk','Berechenbarkeit und Komplexität','BuK','2007ws','Prof. Vöcking','Informatik','Seite zur Veranstaltung...',false,'',true,'',true,true,'{"producers" : [{"type" : "source_file", "tag" : "", "output_id" : "video"}, {"type" : "sample_thumbnail", "source_id" : "video", "timestamp_percent" : 20, "output_id" : "thumbnail"}], "publish_target_ids" : ["video", "thumbnail"], "publish_wait_for_full_process" : true}',true,false,true,'authentication'::"data".view_permissions_type,true,true,'{}','{}'),
     (3,'07ws-diskrete','Diskrete Strukturen','Diskrete','2007ws','Prof. Hiß','Informatik','Von dieser Vorlesungsreihe fehlen die ersten zwei Monate. Wenn wir die Gelegenheit bekommen, filmen wir gerne nochmal.',false,'',true,'',true,false,'{"producers" : [{"type" : "source_file", "tag" : "", "output_id" : "video"}, {"type" : "sample_thumbnail", "source_id" : "video", "timestamp_percent" : 20, "output_id" : "thumbnail"}], "publish_target_ids" : ["video", "thumbnail"], "publish_wait_for_full_process" : true}',true,false,true,'private'::"data".view_permissions_type,false,false,'{}','{}'),
     (13,'09ss-fosap','Formale Systeme, Automaten, Prozesse','FoSAP','2009ss','Prof. Rossmanith','Informatik','Seite des Lehrstuhls ...',false,'',true,'',true,true,'{"producers" : [{"type" : "source_file", "tag" : "", "output_id" : "video"}, {"type" : "sample_thumbnail", "source_id" : "video", "timestamp_percent" : 20, "output_id" : "thumbnail"}], "publish_target_ids" : ["video", "thumbnail"], "publish_wait_for_full_process" : true}',true,false,false,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (62,'11ws-infin','Investition und Finanzierung','InFin','2011ws','Prof. Breuer','BWL','Seite im Campus ...',false,'',false,'',false,true,'{"producers" : [{"type" : "source_file", "tag" : "", "output_id" : "video"}, {"type" : "sample_thumbnail", "source_id" : "video", "timestamp_percent" : 20, "output_id" : "thumbnail"}], "publish_target_ids" : ["video", "thumbnail"], "publish_wait_for_full_process" : true}',true,false,true,'authentication'::"data".view_permissions_type,false,false,'{1}','{}'),
     (1,'del','Something deleted','S','2007ws','','','Seite zur Veranstaltung...',false,'',true,'',true,true,'{"producers" : [{"type" : "source_file", "tag" : "", "output_id" : "video"}, {"type" : "sample_thumbnail", "source_id" : "video", "timestamp_percent" : 20, "output_id" : "thumbnail"}], "publish_target_ids" : ["video", "thumbnail"], "publish_wait_for_full_process" : true}',true,true,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}');
SELECT setval('course_id_seq', 1000);


INSERT INTO lecture (id,course_id,title,speaker,"location","time",duration,description,no_recording,livestream_planned,internal_comment,publish_time,media_process,disable_automatic_media_process_scheduler,current_media_process_error,deleted,visible,view_perm_type,view_perm_rwth_auth,view_perm_fsmpi_auth,view_perm_moodle_course_ids,view_perm_passwords) VALUES
     (1,2,'Einführung zur Berechenbarkeit','','','2007-10-19 12:00:00',0,'',false,false,'',NULL,NULL,false,NULL,false,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (2,2,'Einführung zur Berechenbarkeit','','','2007-10-23 08:30:00',0,'',false,false,'',NULL,NULL,false,NULL,false,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (26,3,'Hamiltonkreis, Eulertour, Eulerweg','','','2007-12-18 13:30:00',0,'',false,false,'',NULL,NULL,false,NULL,false,false,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (29,3,'Modulare Arithmetik: Gruppe, Ring, Körper, abelsche Gruppe, Untergruppe, Einheitengruppe. Restklassenringe, Primzahl.','','','2008-01-17 08:15:00',0,'',false,false,'',NULL,NULL,false,NULL,false,true,'authentication'::"data".view_permissions_type,false,false,'{}','{"t": "t"}'),
     (185,13,'Organisatorisches, Motivation, Künstliche Pflanzen, Alphabete, Wörter, Sprachen','','','2009-04-16 10:00:00',90,'Sorry für den schlechten Ton',false,false,'',NULL,NULL,false,NULL,false,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (187,13,'Reguläre Ausdrücke, Endliche Automaten','','','2009-04-23 10:00:00',90,'',false,false,'',NULL,NULL,false,NULL,true,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (1187,62,'','','Aula','2011-10-17 18:30:00',90,'noch kein Titel',false,false,'',NULL,NULL,false,NULL,false,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (1188,62,'','','Aula','2050-10-24 18:30:00',90,'noch kein Titel',false,false,'',NULL,NULL,false,NULL,false,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (3,2,'Einführung zur Berechenbarkeit','','','2007-10-26 12:00:00',0,'',false,false,'',NULL,NULL,false,NULL,false,true,'public'::"data".view_permissions_type,false,false,'{}','{}'),
     (25,3,'Graphentheorie: Grundbegriffe, Datenstrukturen, Algorithmus für Breitensuche','','','2007-12-11 13:30:00',0,'',false,false,'','2007-12-12 19:12:04',NULL,false,NULL,false,true,'public'::"data".view_permissions_type,false,false,'{}','{}'),
     (1186,62,'Einführung, I. Grundlagen','','Aula','2011-10-10 18:30:00',90,'',false,false,'','2011-10-17 14:33:45',NULL,false,NULL,false,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}'),
     (186,13,'Alphabete, Wörter, Sprachen, Reguläre Ausdrücke','','','2009-04-21 08:15:00',45,'',false,false,'','2009-05-18 03:13:20','{"producers" : [{"type" : "source_file", "tag" : "", "output_id" : "video_1080"}, {"type" : "sample_thumbnail", "source_id" : "video_1080", "timestamp_percent" : 20, "output_id" : "thumbnail"}, {"type": "downscale_video", "source_id": "video_1080", "target_vertical_resolution": 720, "output_id": "video_720"}, {"type": "downscale_video", "source_id": "video_480", "target_vertical_resolution": 480, "output_id": "video_480"}], "publish_target_ids" : ["video_1080", "video_720", "video_480", "thumbnail"], "publish_wait_for_full_process" : true}',false,NULL,false,true,'inherit'::"data".view_permissions_type,false,false,'{}','{}');
SELECT setval('lecture_id_seq', 1000);


INSERT INTO chapter (id,lecture_id,start_time,"name",deleted,visible) VALUES
     (1,25,60,'test1',false,true),
     (2,25,7200,'test2',false,true),
     (3,26,360,'Hidden',false,false),
     (4,1187,0,'Deleted',true,true),
     (5,3,429,'Something',false,true);
SELECT setval('chapter_id_seq', 1000);


INSERT INTO source_medium (id,file_path,file_modification_time,status,force_immediate_sort,sorter_error_message,update_time,lecture_id,sha256,file_size,file_metadata,tag,deleted) VALUES
     (3,'vpnonline/07ws-buk/07ws-buk-071026.mp4','2011-08-15 05:57:37','sorted'::"data".source_medium_status,false,NULL,'2011-08-15 05:57:37',3,'0000000000000000000000000000000000000000000000000000000000000000',NULL,NULL,'',false),
     (4,'pub/07ws-diskrete/07ws-diskrete-071211.mp4','2011-08-23 04:07:24','sorted'::"data".source_medium_status,false,NULL,'2011-08-23 04:07:24',25,'0000000000000000000000000000000000000000000000000000000000000000',NULL,NULL,'',false),
     (10,'vpnonline/11ws-infin/11ws-infin-111010.mp4','2011-10-28 11:21:31','sorted'::"data".source_medium_status,false,NULL,'2011-10-28 11:21:31',1186,'0000000000000000000000000000000000000000000000000000000000000000',NULL,NULL,'',false),
     (8,'pub/09ss-fosap/09ss-fosap-090421.mp4','2009-05-05 23:35:30','sorted'::"data".source_medium_status,false,NULL,'2009-05-05 23:35:30',186,'0000000000000000000000000000000000000000000000000000000000000000',NULL,NULL,'',false);
SELECT setval('source_medium_id_seq', 1000);


INSERT INTO target_medium (id,lecture_id,process_sha256,process_target_id,input_data_sha256,producer_job_id,is_produced,to_be_replaced,"type",deleted,duration_sec,file_path,vertical_resolution,horizontal_resolution,video_frame_rate_numerator,video_frame_rate_denominator,audio_sample_rate,audio_channel_count) VALUES
     (6,3,'0000000000000000000000000000000000000000000000000000000000000000','thumbnail','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'thumbnail'::"data".target_medium_type,false,NULL,'thumbnail/l_3.jpg',640,640,NULL,NULL,NULL,NULL),
     (8,25,'0000000000000000000000000000000000000000000000000000000000000000','thumbnail','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'thumbnail'::"data".target_medium_type,false,NULL,'thumbnail/l_25.jpg',640,640,NULL,NULL,NULL,NULL),
     (17,186,'0000000000000000000000000000000000000000000000000000000000000000','thumbnail','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'thumbnail'::"data".target_medium_type,false,NULL,'thumbnail/l_186.jpg',640,640,NULL,NULL,NULL,NULL),
     (20,1186,'0000000000000000000000000000000000000000000000000000000000000000','thumbnail','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'thumbnail'::"data".target_medium_type,false,NULL,'thumbnail/l_1186.jpg',640,640,NULL,NULL,NULL,NULL),
     (15,186,'0000000000000000000000000000000000000000000000000000000000000000','video_1080','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'plain_video'::"data".target_medium_type,false,5431,'pub/09ss-fosap/09ss-fosap-090421.mp4',1080,1920,25,1,44000,2),
     (5,3,'0000000000000000000000000000000000000000000000000000000000000000','video','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'plain_video'::"data".target_medium_type,false,5243,'vpnonline/07ws-buk/07ws-buk-071026.mp4',720,1280,25,1,44000,2),
     (7,25,'0000000000000000000000000000000000000000000000000000000000000000','video','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'plain_video'::"data".target_medium_type,false,5420,'pub/07ws-diskrete/07ws-diskrete-071211.mp4',720,1280,25,1,44000,2),
     (19,1186,'0000000000000000000000000000000000000000000000000000000000000000','video','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'plain_video'::"data".target_medium_type,false,5001,'vpnonline/11ws-infin/11ws-infin-111010.mp4',720,1280,25,1,44000,2),
     (16,186,'0000000000000000000000000000000000000000000000000000000000000000','video_720','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'plain_video'::"data".target_medium_type,false,5431,'pub/09ss-fosap/09ss-fosap-090421-720p.mp4',720,1280,25,1,44000,2),
     (25,186,'0000000000000000000000000000000000000000000000000000000000000000','video_480','0000000000000000000000000000000000000000000000000000000000000000',NULL,true,false,'plain_video'::"data".target_medium_type,false,5431,'pub/09ss-fosap/09ss-fosap-090421-480p.mp4',480,854,25,1,44000,2);
SELECT setval('target_medium_id_seq', 1000);


INSERT INTO publish_medium (id,lecture_id,title,target_medium_id,visible,deleted) VALUES
     (100003,3,'',6,true,false),
     (1495,25,'',7,true,false),
     (100025,25,'',8,true,false),
     (186,186,'',15,true,false),
     (204,186,'',16,true,false),
     (100186,186,'',17,true,false),
     (1497,1186,'',19,true,false),
     (101186,1186,'',20,true,false),
     (1368,3,'Super video!',5,false,false),
     (101189,186,'',25,true,false);
SELECT setval('publish_medium_id_seq', 1000000);


INSERT INTO featured (id,title,"text","type",display_priority,deleted,visible,image_url,course_id,lecture_id) VALUES
     (1,'Video AG','Wir machen Vorlesungsvideos','plain'::"data".featured_type,2,false,true,NULL,NULL,NULL),
     (2,'Image Panel','','image'::"data".featured_type,1,false,false,'https://example.com/image.jpg',NULL,NULL),
     (3,'Course Panel','Vom Winter 07','course'::"data".featured_type,-1,false,true,NULL,13,NULL),
     (4,'Lecture Panel','Watch this!','lecture'::"data".featured_type,4,false,true,NULL,NULL,3),
     (5,'Deleted Panel','You shouldn''t see this','plain'::"data".featured_type,8,true,true,NULL,NULL,NULL);
SELECT setval('featured_id_seq', 1000);


INSERT INTO announcement (id,"type",page_visibility,"text",publish_time,expiration_time,deleted,visible) VALUES
     (1,'info'::"data".announcement_type,'only_main_page'::"data".announcement_page_visibility,'Test Ankündigung','2024-01-26 00:00:00','2050-03-25 00:00:00',false,true),
     (2,'info'::"data".announcement_type,'all_pages'::"data".announcement_page_visibility,'Neue Ankündigung','2024-03-01 00:00:00',NULL,false,true),
     (3,'info'::"data".announcement_type,'all_pages'::"data".announcement_page_visibility,'Versteckte Ankündigung',NULL,NULL,false,false),
     (4,'warning'::"data".announcement_type,'all_pages'::"data".announcement_page_visibility,'Upcoming Announcement','2050-03-22 00:00:00',NULL,false,true),
     (5,'info'::"data".announcement_type,'only_main_page'::"data".announcement_page_visibility,'Expired Announcement','2024-01-26 00:00:00','2024-02-01 00:00:00',false,true);
SELECT setval('announcement_id_seq', 1000);

INSERT INTO media_process_template (id,name,process) VALUES
    (1, 'default',
        json_build_object(
            'producers', json_build_array(
                json_build_object(
                    'type', 'source_file',
                    'tag', '',
                    'output_id', 'main_video'
                ),
                json_build_object(
                    'type', 'sample_thumbnail',
                    'source_id', 'main_video',
                    'timestamp_percent', 20,
                    'output_id', 'thumbnail'
                )
            ),
            'publish_target_ids', json_build_array(
                'main_video', 'thumbnail'
            ),
            'publish_wait_for_full_process', True
        )
    );
SELECT setval('media_process_template_id_seq', 1000);  -- Just some high value, higher than any id